> ## Documentation Index
> Fetch the complete documentation index at: https://docs.satsuma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Order

> Submit an order for payment and fulfillment using a saved payment method



## OpenAPI

````yaml api-reference/openapi.json post /order/{orderId}/submit
openapi: 3.1.0
info:
  title: Satsuma API
  description: API specification for Satsuma AI commerce platform
  contact:
    name: Satsuma Support
    url: https://satsuma.ai
    email: support@satsuma.ai
  version: 1.0.0
servers:
  - url: https://api.satsuma.ai
    description: Production
security:
  - apiKeyAuth: []
paths:
  /order/{orderId}/submit:
    post:
      tags:
        - Order
      summary: Submit Order
      description: Submit an order for payment and fulfillment using a saved payment method
      operationId: submitOrder
      parameters:
        - name: orderId
          in: path
          description: Order identifier
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitOrderRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseOrderResponse'
components:
  schemas:
    SubmitOrderRequest:
      required:
        - payment_method_id
      properties:
        payment_method_id:
          type: string
          description: Stripe payment method identifier
      description: Request to submit an order with payment method
    ResponseOrderResponse:
      properties:
        data:
          $ref: '#/components/schemas/OrderResponse'
        messages:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/Message'
    OrderResponse:
      properties:
        id:
          type: string
        status:
          type: string
          enum:
            - Pending
            - Confirmed
            - Shipped
            - Delivered
            - Cancelled
            - Refunded
        currency:
          type: string
          enum:
            - USD
            - CAD
        tip:
          type: number
        subtotal:
          type: number
        tax:
          type: number
        total:
          type: number
        customer:
          $ref: '#/components/schemas/Customer'
        fees:
          type: array
          items:
            $ref: '#/components/schemas/FeeResponse'
        items:
          type: array
          items:
            $ref: '#/components/schemas/OrderItemResponse'
        merchant_id:
          type: string
        location_id:
          type: string
        fulfillment_method:
          type: string
          enum:
            - Delivery
            - Pickup
            - Shipping
        fee_total:
          type: number
        dropoff_instructions:
          type: string
    Message:
      properties:
        context:
          type: string
        level:
          type: string
          enum:
            - Information
            - Warning
            - Error
        text:
          type: string
        data:
          type: object
          additionalProperties: true
    Customer:
      properties:
        id:
          type: string
        name:
          type: string
        phone:
          type: string
        email:
          type: string
        address:
          $ref: '#/components/schemas/Address'
    FeeResponse:
      properties:
        type:
          type: string
          enum:
            - DeliveryFee
            - ServiceFee
        amount:
          type: number
    OrderItemResponse:
      properties:
        quantity:
          type: integer
          format: int32
        price:
          type: number
        product_id:
          type: string
        product_name:
          type: string
    Address:
      properties:
        street_number:
          type: string
        street_name:
          type: string
        street_address:
          type: string
        street_address_detail:
          type: string
        city:
          type: string
        region:
          type: string
        postal_code:
          type: string
        country:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: API Key authentication
      name: Authorization
      in: header

````